/* catdvi - get text from DVI files
   Copyright (C) 1999 Antti-Juhani Kaijanaho <gaia@iki.fi>

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/* Blackboard font encoding, handmade table */

#ifndef BLACKBOARD_H
#define BLACKBOARD_H

#define _BB_NOTDEF 0x3f

static sint32 BlackboardEncoding[256] = {
        /* 0 */
        _BB_NOTDEF,
        _BB_NOTDEF,  
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        /* 10 */
        _BB_NOTDEF,
        _BB_NOTDEF,  
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        /* 20 */
        _BB_NOTDEF,
        _BB_NOTDEF,  
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        /* 30 */
        _BB_NOTDEF,
        _BB_NOTDEF,  
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        /* 40 */
        _BB_NOTDEF,  /* DOUBLE-STRUCK ( */
        _BB_NOTDEF,  /* DOUBLE-STRUCK ) */
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF, /* DOUBLE-STRUCK NUMBER ONE */
        /* 50 */
        _BB_NOTDEF, /* DOUBLE-STRUCK NUMBER TWO */
        _BB_NOTDEF,  
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        /* 60 */
        _BB_NOTDEF,
        _BB_NOTDEF,  
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF, /* DOUBLE-STRUCK LATIN CAPITAL A */
        _BB_NOTDEF, /* DOUBLE-STRUCK LATIN CAPITAL B */
        0x2102,     /* DOUBLE-STRUCK LATIN CAPITAL C */
        _BB_NOTDEF, /* DOUBLE-STRUCK LATIN CAPITAL D */
        _BB_NOTDEF, /* DOUBLE-STRUCK LATIN CAPITAL E */
        /* 70 */
        _BB_NOTDEF, /* DOUBLE-STRUCK LATIN CAPITAL F */
        _BB_NOTDEF, /* DOUBLE-STRUCK LATIN CAPITAL G */
        0x210d,     /* DOUBLE-STRUCK LATIN CAPITAL H */
        _BB_NOTDEF, /* DOUBLE-STRUCK LATIN CAPITAL I */
        _BB_NOTDEF, /* DOUBLE-STRUCK LATIN CAPITAL J */
        _BB_NOTDEF, /* DOUBLE-STRUCK LATIN CAPITAL K */
        _BB_NOTDEF, /* DOUBLE-STRUCK LATIN CAPITAL L */
        _BB_NOTDEF, /* DOUBLE-STRUCK LATIN CAPITAL M */
        0x2115,     /* DOUBLE-STRUCK LATIN CAPITAL N */
        _BB_NOTDEF, /* DOUBLE-STRUCK LATIN CAPITAL O */
        /* 80 */
        0x2119,     /* DOUBLE-STRUCK LATIN CAPITAL P */
        0x211a,     /* DOUBLE-STRUCK LATIN CAPITAL Q */
        0x211d,     /* DOUBLE-STRUCK LATIN CAPITAL R */
        _BB_NOTDEF, /* DOUBLE-STRUCK LATIN CAPITAL S */
        _BB_NOTDEF, /* DOUBLE-STRUCK LATIN CAPITAL T */
        _BB_NOTDEF, /* DOUBLE-STRUCK LATIN CAPITAL U */
        _BB_NOTDEF, /* DOUBLE-STRUCK LATIN CAPITAL V */
        _BB_NOTDEF, /* DOUBLE-STRUCK LATIN CAPITAL W */
        _BB_NOTDEF, /* DOUBLE-STRUCK LATIN CAPITAL X */
        _BB_NOTDEF, /* DOUBLE-STRUCK LATIN CAPITAL Y */
        /* 90 */
        0x2124,     /* DOUBLE-STRUCK LATIN CAPITAL Z */
        _BB_NOTDEF, /* DOUBLE-STRUCK [ */
        _BB_NOTDEF,
        _BB_NOTDEF, /* DOUBLE-STRUCK ] */
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF, /* DOUBLE-STRUCK LATIN SMALL A */
        _BB_NOTDEF, /* DOUBLE-STRUCK LATIN SMALL B */
        _BB_NOTDEF, /* DOUBLE-STRUCK LATIN SMALL C */
        /* 100 */
        _BB_NOTDEF, /* DOUBLE-STRUCK LATIN SMALL D */
        _BB_NOTDEF, /* DOUBLE-STRUCK LATIN SMALL E */
        _BB_NOTDEF, /* DOUBLE-STRUCK LATIN SMALL F */
        _BB_NOTDEF, /* DOUBLE-STRUCK LATIN SMALL G */
        _BB_NOTDEF, /* DOUBLE-STRUCK LATIN SMALL H */
        _BB_NOTDEF, /* DOUBLE-STRUCK LATIN SMALL I */
        _BB_NOTDEF, /* DOUBLE-STRUCK LATIN SMALL J */
        _BB_NOTDEF, /* DOUBLE-STRUCK LATIN SMALL K */
        _BB_NOTDEF, /* DOUBLE-STRUCK LATIN SMALL L */
        _BB_NOTDEF, /* DOUBLE-STRUCK LATIN SMALL M */
        /* 110 */
        _BB_NOTDEF, /* DOUBLE-STRUCK LATIN SMALL N */
        _BB_NOTDEF, /* DOUBLE-STRUCK LATIN SMALL O */
        _BB_NOTDEF, /* DOUBLE-STRUCK LATIN SMALL P */
        _BB_NOTDEF, /* DOUBLE-STRUCK LATIN SMALL Q */
        _BB_NOTDEF, /* DOUBLE-STRUCK LATIN SMALL R */
        _BB_NOTDEF, /* DOUBLE-STRUCK LATIN SMALL S */
        _BB_NOTDEF, /* DOUBLE-STRUCK LATIN SMALL T */
        _BB_NOTDEF, /* DOUBLE-STRUCK LATIN SMALL U */
        _BB_NOTDEF, /* DOUBLE-STRUCK LATIN SMALL V */
        _BB_NOTDEF, /* DOUBLE-STRUCK LATIN SMALL W */
        /* 120 */
        _BB_NOTDEF, /* DOUBLE-STRUCK LATIN SMALL X */
        _BB_NOTDEF, /* DOUBLE-STRUCK LATIN SMALL Y */
        _BB_NOTDEF, /* DOUBLE-STRUCK LATIN SMALL Z */
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        /* 130 */
        _BB_NOTDEF,
        _BB_NOTDEF,  
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        /* 140 */
        _BB_NOTDEF,
        _BB_NOTDEF,  
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        /* 150 */
        _BB_NOTDEF,
        _BB_NOTDEF,  
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        /* 160 */
        _BB_NOTDEF,
        _BB_NOTDEF,  
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        /* 170 */
        _BB_NOTDEF,
        _BB_NOTDEF,  
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        /* 180 */
        _BB_NOTDEF,
        _BB_NOTDEF,  
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        /* 190 */
        _BB_NOTDEF,
        _BB_NOTDEF,  
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        /* 200 */
        _BB_NOTDEF,
        _BB_NOTDEF,  
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        /* 210 */
        _BB_NOTDEF,
        _BB_NOTDEF,  
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        /* 220 */
        _BB_NOTDEF,
        _BB_NOTDEF,  
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        /* 230 */
        _BB_NOTDEF,
        _BB_NOTDEF,  
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        /* 240 */
        _BB_NOTDEF,
        _BB_NOTDEF,  
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        /* 250 */
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF,
        _BB_NOTDEF
};


#endif /* BLACKBOARD_H */
